<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Cliente extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
				
		$this->load->model("Cliente_Model");
		$this->load->model("Proveedor_Model");
		$this->load->library('form_validation');

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		} 

	}
	
	public function index()
	{
		$query = $this->Cliente_Model->cliente();
		

		$data = array 
		(
			'ENCABEZADO'=> 'Clientes',
			
			"usuario"    => $this->session->userdata('usuario'),
			"id_usuario"    => $this->session->userdata('id_usuario'),
			"proveedor_lista" => $this->Proveedor_Model->lista_proveedor()
								
		);
		 $this->parser->parse('Index/head.php', $data);	
		 $this->parser->parse('Index/menu.php',$data ); 
         $this->parser->parse('Cliente/cliente_vista',$data);
         $this->load->view('Index/pie.php'); 
       
	}

    
 ///////////////////////////////////////////////////////////////

	public function add()
	{
		$data = array 
				(
					'titulo'=> 'Clientes',
					"usuario" => $this->session->userdata('usuario'),
					"id_usuario"    => $this->session->userdata('id_usuario'),
					"proveedor_lista" => $this->Proveedor_Model->lista_proveedor()
					
				);	
		$this->parser->parse('Index/head.php', $data, FALSE);	
		$this->parser->parse('Index/menu.php',$data );
		$this->parser->parse('Cliente/cliente_add.php', $data);
		$this->load->view('Index/pie.php'); // pie con los js
	}
	public function adding ()
	{
	  
	 	 $data = array 
				(
					'id_cliente'=> '',
					"cedula_ruc" => $this->input->get_post('cedula_ruc',true),
					"nombre" => $this->input->get_post('nombre',true),
					"apellido" => $this->input->get_post('apellido',true),
					"fecha_nac" => $this->input->get_post('fecha_nac',true),
					"direccion" => $this->input->get_post('direccion',true),
					"telefono" => $this->input->get_post('telefono',true),
					"observacion" => $this->input->get_post('observacion',true)
				);	

		
	 	$this->Cliente_Model->add_cliente($data);		
		
		redirect('/cliente/cliente');
	 }

	public function edit_cliente()
	{
		$id_cliente=$this->uri->segment(4,0);
		
		$data = array 
				(
					"cedula_ruc" => $this->input->get_post('cedula_ruc_edit',true),
					"nombre" => $this->input->get_post('nombre_edit',true),
					"apellido" => $this->input->get_post('apellido_edit',true),
					"fecha_nac" => $this->input->get_post('fecha_nac_edit',true),
					"direccion" => $this->input->get_post('direccion_edit',true),
					"telefono" => $this->input->get_post('telefono_edit',true),
					"observacion" => $this->input->get_post('observacion_edit',true)
				);			
			$this->Cliente_Model->save_edit($id_cliente,$data);
			redirect('/cliente/cliente');	
	}


	// dar de baja o elminar
	function delete_cliente()
	{
		$control=0;
		$id_cliente=$this->uri->segment(4,0);
		$this->db->from("credito");
		$this->db->where("id_cliente", $id_cliente);
		$query = $this->db->get();

		if ($query->num_rows() > 0) 
		{
                $control=1;
        }
        $this->db->from("factura");
		$this->db->where("id_cliente", $id_cliente);
		$query = $this->db->get();

		if ($query->num_rows() > 0) 
		{
            $control=1;
        }
        if ($control!=1)
        {
        	$this->Cliente_Model->delete($id_cliente);
        	redirect('/cliente/cliente');
        }
        else
        {
        	$data = array 
			(
				'ENCABEZADO'=> 'Clientes',
				"id_usuario"    => $this->session->userdata('id_usuario'),
				"usuario"    => $this->session->userdata('usuario'),
				"proveedor_lista" => $this->Proveedor_Model->lista_proveedor()
									
			);
        	 $this->parser->parse('Index/head.php', $data);	
			 $this->parser->parse('Index/menu.php',$data ); 
	         $this->parser->parse('Cliente/cliente_error.php',$data);
	         $this->load->view('Index/pie.php'); 

        }

			
	}



	function fetch_user_cliente(){  

                  

           $fetch_data = $this->Cliente_Model->consulta_cliente_vista(); 
           

           $data = array();  
           foreach($fetch_data as $row)  
           {  
           		$ver_detalle="";
           		$edit="";
           		$delete="";
           		$cobrar="";

                $sub_array = array();  
                $sub_array[] =  $row->id_cliente;  
                $sub_array[] =  $row->cedula_ruc;
                $sub_array[] = $row->nombre;  
                $sub_array[] =$row->apellido;  
                $sub_array[] = $row->fecha_nac;
                $sub_array[] = $row->direccion;
                $sub_array[] = $row->telefono;
                $sub_array[] = $row->observacion;


               // $ver_detalle='<a class="btn btn-primary btn-sm" data-toggle="modal" href="#'.$row->id_cliente.'"  ><i ></i>Ver Detalles</a>&nbsp;';
                $edit='<a class="btn btn-success btn-sm"  data-toggle="modal" href="#edit'.$row->id_cliente.'"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;';

                $delete='<a class="btn btn-danger btn-sm" onclick="delete_row_cliente('.$row->id_cliente.','.$this->session->userdata('id_usuario').')" ><i class="glyphicon glyphicon-trash"></i></a>&nbsp;';

                $modal_edit_cliente=' <div class="modal fade" id="edit'.$row->id_cliente.'" style="z-index: 100001"  role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLongTitle">Editar Cliente</h5>
                  <button type="button" class="close"  data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form   method="post" name="formulario_cliente" id="formulario_cliente" 
                action="'.base_url().'index.php/Cliente/cliente/edit_cliente/'.$row->id_cliente.'" enctype="multipart/form-data">

                  <table class="table table-striped">

                    <tr >
                      <th colspan="2">
                        Cédula o RUC
                      </th>
                   
                      <td  colspan="2">
                         <input type="text" required name="cedula_ruc_edit" id="cedula_ruc_edit" class="form-control" value="'.$row->cedula_ruc.'">     
                        
                      </td>
                    </tr>
                    <tr>
                      <th colspan="2">
                        Nombres
                      </th>
                       <th colspan="2" >
                        Apellidos
                      </th>
                    </tr>
                    <tr>
                      <td colspan="2" >
                         <input type="text" required name="nombre_edit" id="nombre_edit" class="form-control" value="'. $row->apellido.'" >       
                      </td>
                     
                      <td colspan="2">
                         <input type="text" required name="apellido_edit" id="apellido_edit" class="form-control" value="'. $row->apellido.'" >       
                      </td>
                    </tr>
                    <tr>
	                    	<th colspan="2"> Fecha de Nac.  </th>
	                       <th colspan="2" >
	                        Telefono
	                      </th>
                    </tr>
                    <tr>
	                      <td colspan="2" >
	                        <input type="date" name="fecha_nac_edit" id="fecha_nac_edit" class="form-control" value="'. $row->fecha_nac.'" >  
	                        </td>
	                      <th  colspan="2">
	                      	<input type="text" name="telefono_edit" id="telefono_edit" class="form-control" value="'. $row->telefono.'" > 
	                      </th>
	                </tr>
	                <tr>
                      <th colspan="2"> Direccion.  </th>
	                       <th colspan="2" >
	                        Observaciones
	                      </th>
                    </tr>

                    <tr>
                     	<td colspan="2" >
	                        <input type="text" name="direccion_edit" id="direccion_edit" class="form-control" value="'. $row->direccion.'" required>  
	                        </td>
	                      <th  colspan="2">
	                      	<textarea name="observacion_edit" id="observacion_edit" rows="7" cols="20" maxlength="290" class="form-control">'.$row->observacion.'</textarea> 
	                      </th>
                    </tr>
                 </table>
                  <button type="submit" class="btn btn-success" >Confirmar</button>
                 </form>  
                </div>
                <div class="modal-footer">
                  
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                
                
                </div>
              
              </div>
            </div>
          </div> ';
          		if ($row->id_cliente==1)
          		{
          			 $sub_array[] =" ";
          		}
          		else
          		{
          			 $sub_array[] =$ver_detalle.$edit.$delete.$modal_edit_cliente ; 
          		}

                
                $data[] = $sub_array;  
          		
           }

                $output = array(  
                "draw"                    =>     intval($this->input->post("draw")),  
                "recordsTotal"          =>      $this->Cliente_Model->get_all_data_cliente_vista(),  
                "recordsFiltered"     =>     	$this->Cliente_Model->get_filtered_cliente_vista(),  
                "data"                    =>     $data  
           );  
           echo json_encode($output);  
      }  
    /////////////////////////////////////////////////////////////////////////////////////// 


}
