<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Producto_Model extends CI_Model {

		//var $table = "producto";  
      	//var $select_column = array("id_producto", "codigo", "descripcion", "marca" );  
      	var $order_column = array(null, "codigo", "descripcion", null, null);
	public function __construct()
	{
		parent::__construct();
		
	}

	/////////////////////////////////////////////////////////////////////////
	function lista_producto()  
      {  
           $this->db->select("*");  
           $this->db->from("producto"); 
           $this->db->join('proveedor', 'proveedor.id_proveedor=producto.id_proveedor');
	       $this->db->join('categoria', 'categoria.id_categoria=producto.id_categoria');
	       $this->db->join('marca', 'marca.id_marca=producto.id_marca');
	       $this->db->join('usuario', 'usuario.id_usuario=producto.id_usuario');
	        $this->db->order_by('codigo', 'asc');  
      }
      public function get_producto($limit, $start ) 
    {
    	$this->db->select("*");  
           $this->db->from("producto"); 
           $this->db->join('proveedor', 'proveedor.id_proveedor=producto.id_proveedor');
	       $this->db->join('categoria', 'categoria.id_categoria=producto.id_categoria');
	       $this->db->join('marca', 'marca.id_marca=producto.id_marca');
	       $this->db->join('usuario', 'usuario.id_usuario=producto.id_usuario');
	        $this->db->limit($limit, $start);
        $query = $this->db->get();
 
        if ($query->num_rows() > 0) 
        {
            foreach ($query->result() as $row) 
            {
                $data[] = $row;
            }
             
            return $data;
        }
 
        return false;
    }


   public function get_producto_busqueda($limit, $start, $codigo_buscar,$descripcion_buscar,$marca_buscar,$categoria_buscar ) 
    {
    	$this->db->select("*");  
           $this->db->from("producto"); 
           $this->db->join('proveedor', 'proveedor.id_proveedor=producto.id_proveedor');
	       $this->db->join('categoria', 'categoria.id_categoria=producto.id_categoria');
	       $this->db->join('marca', 'marca.id_marca=producto.id_marca');
	       $this->db->join('usuario', 'usuario.id_usuario=producto.id_usuario');

	       if($codigo_buscar!="")
	      	{
	      		$this->db->like("codigo", $codigo_buscar);  
	      	}
	      	if($descripcion_buscar!="")
	      	{
	      		$this->db->like("producto.descripcion", $descripcion_buscar);  
	      	}
	      	if($marca_buscar!="")
	      	{
	      		$this->db->like("marca.marca", $marca_buscar);  
	      	}
	      	if($categoria_buscar!="")
	      	{
	      		$this->db->like("categoria.categoria", $categoria_buscar);  
	      	}



	        $this->db->limit($limit, $start);
        $query = $this->db->get();
 
        if ($query->num_rows() > 0) 
        {
            foreach ($query->result() as $row) 
            {
                $data[] = $row;
            }
             
            return $data;
        }
 
        return false;
    }





      function make_datatables()
      {  
          // $this->make_query(); 
           if(  intval($this->input->post("length"))  != -1)  
           {  
                $this->db->limit(intval($this->input->post("length")), intval($this->input->post("start")));  
           }  
           $query = $this->db->get();  
           return $query->result();  
      } 

      function get_filtered_data()
      {  
          // $this->make_query();  
           $query = $this->db->get();  
           return $query->num_rows();  
      }  

      function get_all_data()  
      {  
           $this->db->select("*");  
           $this->db->from("producto");  
           $this->db->join('proveedor', 'proveedor.id_proveedor=producto.id_proveedor');
	       $this->db->join('categoria', 'categoria.id_categoria=producto.id_categoria');
	       $this->db->join('marca', 'marca.id_marca=producto.id_marca');
	       $this->db->join('usuario', 'usuario.id_usuario=producto.id_usuario');
           return $this->db->count_all_results();  
      }  
      function get_all_data_busqueda($codigo_buscar,$descripcion_buscar,$marca_buscar,$categoria_buscar)  
      {  
           $this->db->select("*");  
           $this->db->from("producto"); 
           $this->db->join('categoria', 'categoria.id_categoria=producto.id_categoria');
	       $this->db->join('marca', 'marca.id_marca=producto.id_marca');
	       $this->db->join('usuario', 'usuario.id_usuario=producto.id_usuario');
	       

           if($codigo_buscar!="")
	      	{
	      		$this->db->like("codigo", $codigo_buscar);  
	      	}
	      	if($descripcion_buscar!="")
	      	{
	      		$this->db->like("producto.descripcion", $descripcion_buscar);  
	      	}
	      	if($marca_buscar!="")
	      	{
	      		$this->db->like("marca.marca", $marca_buscar);  
	      	}
	      	if($categoria_buscar!="")
	      	{
	      		$this->db->like("categoria.categoria", $categoria_buscar);  
	      	}

           return $this->db->count_all_results();  
      } 
     /////////////////////////////////////////////////////////////////////////


	function producto()
     {
		$this->db->select ("*");
		$this->db->from('producto'); 
		
		$query = $this->db->get();
		return $query->result_array();

    }
    function producto_buscar()
     {
		$this->db->select ("*");
		$this->db->from('producto'); 
		 $this->db->limit("100");
		
		$query = $this->db->get();
		return $query->result();

    }
    

	
	function add_producto($data)
	{
		$this->db->insert('producto',$data);
	}

	function add_compra($data)
	{
		$this->db->insert('compra',$data);
	}

	function add_detalle_compra($data)
	{
		$this->db->insert('detalle_compra',$data);
	}
	
	
	
	function marca()
	{
		$tipo = $this->db->get('marca');
		if ($tipo->num_rows()> 0) {
			
			return $tipo->result();
		}
	}
	function categoria()
	{
		$tipo = $this->db->get('categoria');
		if ($tipo->num_rows()> 0) {
			
			return $tipo->result();
		}
	}
	
	function proveedor()
	{
		$proveedor = $this->db->get('proveedor');
		if ($proveedor->num_rows()> 0) {
			
			return $proveedor->result();
		}
	}
	//////////////////////////
	//octener todos los proveedores
    

	function edit ($id_producto)
	{  
     	$this->db->select("*, marca.marca as marca2, categoria.categoria as categoria2, iva as iva, iva as nombre_iva");
		$this->db->from('producto'); 
		$this->db->join('proveedor', 'proveedor.id_proveedor=producto.id_proveedor');
	    $this->db->join('categoria', 'categoria.id_categoria=producto.id_categoria');
	    $this->db->join('marca', 'marca.id_marca=producto.id_marca');
		
		
		$this->db->where('id_producto',$id_producto);
		$query = $this->db->get();
			
			if ($query->num_rows() > 0) {
				return $query->result();
			} else
			{
				return false;
			}
	}
	function save_edit($codigo,$data)
    {
    	$this->db->where('codigo',$codigo);
		$this->db->update('producto',$data);
    }
	
    function delete ($id_producto){
		$this->db->where('id_producto',$id_producto);
		$this->db->delete('producto');//mi consulta sql
		$query = $this->db->get('producto');//mi consulta sql
		
	} 

	function consulta($codigo)
    {
    	 $this->db->where('codigo',$codigo);
		$result = $this->db->get('producto');
		if($result->num_rows()>0)
		{
			return $result->result();
		}

    }
    /////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////
	function make_query_stock0()  
      {  
           $this->db->select("*");  
           $this->db->from("producto"); 
           $this->db->join('proveedor', 'proveedor.id_proveedor=producto.id_proveedor');
	       $this->db->join('categoria', 'categoria.id_categoria=producto.id_categoria');
	       $this->db->join('marca', 'marca.id_marca=producto.id_marca');
	       $this->db->join('usuario', 'usuario.id_usuario=producto.id_usuario');
	       $this->db->where('producto.cantidad<=','producto.minimo');
	       

          if(isset($_POST["search"]["value"]))  
	      // if($buscador!="")
	      {  
           	
                $this->db->like("codigo", $_POST["search"]["value"]);  
                $this->db->or_like("descripcion",$_POST["search"]["value"]);  
           }
           
           

          if(isset($_POST["order"]))
           {  
                $this->db->order_by($this->order_column[$_POST['order']['0']['column']], $_POST['order']['0']['dir']);  
           }  
           else  
           {  
                $this->db->order_by('codigo', 'asc');  
           }  
      }

      function producto_stock0()
      {  
           $this->make_query_stock0(); 
           if(  intval($this->input->post("length"))  != -1)  
           {  
                $this->db->limit(intval($this->input->post("length")), intval($this->input->post("start")));  
           }  
           $query = $this->db->get();  
           return $query->result();  
      } 

      function get_filtered_data_stock0()
      {  
           $this->make_query_stock0();  
           $query = $this->db->get();  
           return $query->num_rows();  
      }  

      function get_all_data_stock0()  
      {  
           $this->db->select("*");  
           $this->db->from("producto");  
           $this->db->where('producto.cantidad<=','producto.minimo');
           return $this->db->count_all_results();  
      }  
     /////////////////////////////////////////////////////////////////////////	


}

